#include <stdio.h>

main(int argc, char *argv[])
{  FILE *quelle, *ziel;

   if (argc != 3)
   {  fprintf(stderr,
              "Verwendung: %s Quelle Ziel\n", argv[0]);
   }
   else
   {  char *quelleName = argv[1];
      char *zielName   = argv[2];

      if ((quelle = fopen(quelleName, "r")))
         // ffnen der Dateien
      {  if ((ziel = fopen(zielName, "w")))
         { // Kopieren
            {  char  c;
               long  v;
         
               while ((v = fgetc(quelle)) != EOF)
	       {  c = (char)v;
                  if (fputc(c, ziel) == EOF)
                  {  fprintf(stderr, "Fehler beim Schreiben\n");
                     break;
                  }
	       }
            }

            // Schlieen der Dateien
            fclose(ziel);
            fclose(quelle);
         }
         else
         {  fprintf(stderr, "Datei \"%s\" kann nicht geffnet werden\n",
                    zielName);
            fclose(quelle);
         }
      }
      else
      {  fprintf(stderr, "Datei \"%s\" nicht gefunden\n",
                 quelleName);
      }
   }
}  // end main
